Bug 45528 - x11-wm/ratpoison core dumps and change of port maintainer
Summary: x11-wm/ratpoison core dumps and change of port maintainer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-20 16:40 UTC by Judd Storrs
Modified: 2002-11-22 06:22 UTC (History)
1 user (show)

See Also:


Attachments
ratpoison.patch (1.22 KB, patch)
2002-11-20 16:40 UTC, Judd Storrs
no flags Details | Diff
ratpoison.patch (1.22 KB, patch)
2002-11-20 16:46 UTC, Judd Storrs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Judd Storrs 2002-11-20 16:40:01 UTC
ratpoison dumps core constantly when trying to use the 'exec'
command. This is because ratpoison-1.1.1 on FreeBSD inappropriatly
uses a rewrite of setenv inteded for sun platforms.

Additionally, the current ratpoison maintainer (mwm@mired.org) has
requested that I take over the port because he nolonger uses
ratpoison.

Fix: The following diff does the following

files/patch-actions-c: 
 * fixes the setenv bug
Makefile: 
 * PORTREVISION is bumped to 1
 * MAINTAINER updated
How-To-Repeat: 
Install ratpoison and try to use ratpoison's 'exec' command. i.e. 

   C-t :exec xterm

This results in ratpoison.core and xterm is not launched.
Comment 1 Judd Storrs 2002-11-20 16:46:49 UTC
Sorry, the diff was reversed...

--judd
Comment 2 Norikatsu Shigemura freebsd_committer 2002-11-21 19:35:59 UTC
State Changed
From-To: open->analyzed

I'll handle this.
Comment 3 Norikatsu Shigemura freebsd_committer 2002-11-21 19:42:52 UTC
Hi Mike.

	Judd saied that maintainer change from mwm@ to storrsjm@.
	Is this OK?
Comment 4 mwm-dated-1038342284.735187 2002-11-21 20:24:43 UTC
In <200211211942.gALJgqG5000605@nd250009.gab.xdsl.ne.jp>, Norikatsu Shigemura <nork@FreeBSD.org> typed:
> 	Judd saied that maintainer change from mwm@ to storrsjm@.
> 	Is this OK?

That's fine. Please commit his changes.

	<mike
-- 
Mike Meyer <mwm@mired.org>		http://www.mired.org/consulting.html
Independent WWW/Perforce/FreeBSD/Unix consultant, email for more information.
Comment 5 Norikatsu Shigemura freebsd_committer 2002-11-22 06:11:50 UTC
On Thu, 21 Nov 2002 14:24:43 -0600
Mike Meyer <mwm-dated-1038342284.735187@mired.org> wrote:
> > 	Judd saied that maintainer change from mwm@ to storrsjm@.
> > 	Is this OK?
> That's fine. Please commit his changes.

	Thank you.  I'll commit this.
Comment 6 Norikatsu Shigemura freebsd_committer 2002-11-22 06:22:20 UTC
State Changed
From-To: analyzed->closed

Committed, Thanks!